.language_chooser
    display flex
    align-items start
    position absolute
    top $sp--half
    right 0

    &__button
        margin 0
        border-radius $sp--half 0 0 $sp--half
        padding $sp--third $sp--half
        background-color $cl--off--low

        &::after
            content "<"
            margin-left $sp--third
            display inline

        &--active::after
            content ">"

    &__menu
        max-width 0
        border-radius 0 0 0 $sp--quarter
        padding $sp--third 0
        overflow-x hidden
        white-space nowrap
        background-color $cl--off--low

        &--active
            max-width 100vw
            padding $sp--third $sp--half

        li > a
            content-anchor($cl--med, $cl--light)


    &__spanish
    &__catalan
    &__english
    &__japanese

        &::before
            content ""
            display inline-block
            margin-right $sp--quarter
            border-radius $sp--half
            width $sp--half
            height $sp--half
            background-image url("../images/spanish.svg")
            background-repeat no-repeat
            background-position center
            background-size cover

    &__catalan
        &::before
            background-image url("../images/catalan.svg")

    &__english
        &::before
            background-image url("../images/english.svg")

    &__japanese
        &::before
            background-image url("../images/japanese.svg")
            border 1px solid $cl--high
